package com.huigou.topsun.sap.dull.application;

import com.huigou.topsun.sap.dull.domain.SapDull;
import com.huigou.topsun.sap.dull.domain.query.SapDullQueryRequest;
import com.huigou.topsun.sap.permit.domain.SapPermit;
import com.huigou.topsun.sap.permit.domain.query.SapPermitQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther:LXH
 * @Date: 2024/03/08/16:35
 * @Description:
 */
public interface SapDullApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/dull/dull.xml";

    String PROCESS_DEFINITION_KEY = "sapDullProc";

    Map<String, Object> getDullList(SapDullQueryRequest sapDullVo);

    SapDull getDullById(String id);

    void deleteByIds(List<String> ids);


    void updateStatus(String id, String status);
}
